=== debian/changelog ===
ros-kinetic-epson-imu-driver (0.0.2-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- John Keller <jkeller2@andrew.cmu.edu>  Wed, 30 May 2018 12:50:47 -0000
